
Redmine - Feature #8424

Add private issue option to receiving emails

2011-05-23 13:06 - Daniel Feliciano Branco

Status: Closed Start date: 2011-05-23

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 3.1.0   

Resolution: Fixed   

Description

Allowing to force a issue private when receiving emails would be useful in a helpdesk utilization.

ex:

 rdm-mailhandler --url https://domain.foo/redmine --key secret --private yes 

thank you

Related issues:

Related to Redmine - Feature #7414: Private issues Closed 2011-01-22

Related to Redmine - Patch #31324: Allow to set is_private flag through a key... Closed

Has duplicate Redmine - Feature #19674: Support private issue creation from m... Closed

Associated revisions

Revision 14262 - 2015-05-10 11:07 - Jean-Philippe Lang

Adds private issue option to receiving emails (#8424).

History

#1 - 2015-02-18 13:59 - Aleksander Vines

No changes on this? I tried to change the mailhandler-script, but seems like the API does not support it, does it not use the regular API?

diff test-rdm-mailhandler.rb rdm-mailhandler.rb

90d89

<       opts.on("--is_private"                  "Private flag") {|v| self.issue_attributes['is_private'] = v}

We really need this feature.

#2 - 2015-02-18 15:04 - Daniel Feliciano Branco

+1

(I hope is not too bad to "plus one" my own feature request ;)

#3 - 2015-02-18 16:07 - Jean-Philippe Lang

- Target version set to 3.1.0

#4 - 2015-04-21 14:46 - Go MAEDA

- Has duplicate Feature #19674: Support private issue creation from mail handlers added

#5 - 2015-05-10 11:08 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

--private option (without arguments) added in r14262.

#6 - 2019-05-14 04:40 - Go MAEDA
https://www.redmine.org/projects/redmine/repository/svn/revisions/14262


- Related to Patch #31324: Allow to set is_private flag through a keyword in emails added
